Summary: Password Database Library
Name: pwdb
Version: 0.55
Release: 1
Copyright: GPL or BSD
Group: Base
Source: pwdb-%{PACKAGE_VERSION}.tar.gz
BuildRoot: /var/tmp/pwdb-root

%description
pwdb (Password Database Library) allows configurable access to
and management of /etc/passwd, /etc/shadow, and network authentication
systems including NIS and Radius.

%prep
%setup -q -c
rm default.defs
ln -s defs/redhat.defs default.defs

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
make -C doc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,lib,usr/include/pwdb}

make	INCLUDED=$RPM_BUILD_ROOT/usr/include/pwdb \
	LIBDIR=$RPM_BUILD_ROOT/lib \
	LDCONFIG=":" \
	install

install -m 644 conf/pwdb.conf $RPM_BUILD_ROOT/etc/pwdb.conf

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Copyright doc/pwdb.txt doc/html
%config /etc/pwdb.conf
/usr/include/pwdb
/lib/libpwdb.a
/lib/libpwdb.so
/lib/libpwdb.so.%{PACKAGE_VERSION}
